org.yaml.snakeyaml.introspector

## Class PropertyUtils

- java.lang.Object
- - org.yaml.snakeyaml.introspector.PropertyUtils

    public class PropertyUtils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`PropertyUtils()`

### Method Summary

Methods
`protected Set<Property>` `createPropertySet(Class<? extends Object> type, BeanAccess bAccess)`
`Set<Property>` `getProperties(Class<? extends Object> type)`
`Set<Property>` `getProperties(Class<? extends Object> type, BeanAccess bAccess)`
`protected Map<String,Property>` `getPropertiesMap(Class<?> type, BeanAccess bAccess)`
`Property` `getProperty(Class<? extends Object> type, String name)`
`Property` `getProperty(Class<? extends Object> type, String name, BeanAccess bAccess)`
`boolean` `isAllowReadOnlyProperties()`
`boolean` `isSkipMissingProperties()`
`void` `setAllowReadOnlyProperties(boolean allowReadOnlyProperties)`
`void` `setBeanAccess(BeanAccess beanAccess)`
`void` `setSkipMissingProperties(boolean skipMissingProperties)` Skip properties that are missing during deserialization of YAML to a Java object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyUtils

    public PropertyUtils()

### Method Detail

#### getPropertiesMap

    protected Map<String,Property> getPropertiesMap(Class<?> type,
                                        BeanAccess bAccess)

#### getProperties

    public Set<Property> getProperties(Class<? extends Object> type)

#### getProperties

    public Set<Property> getProperties(Class<? extends Object> type,
                              BeanAccess bAccess)

#### createPropertySet

    protected Set<Property> createPropertySet(Class<? extends Object> type,
                                  BeanAccess bAccess)

#### getProperty

    public Property getProperty(Class<? extends Object> type,
                       String name)

#### getProperty

    public Property getProperty(Class<? extends Object> type,
                       String name,
                       BeanAccess bAccess)

#### setBeanAccess

    public void setBeanAccess(BeanAccess beanAccess)

#### setAllowReadOnlyProperties

    public void setAllowReadOnlyProperties(boolean allowReadOnlyProperties)

#### isAllowReadOnlyProperties

    public boolean isAllowReadOnlyProperties()

#### setSkipMissingProperties

    public void setSkipMissingProperties(boolean skipMissingProperties)

Skip properties that are missing during deserialization of YAML to a Java object. The default is false.

Parameters:
  `skipMissingProperties` - true if missing properties should be skipped, false otherwise.

#### isSkipMissingProperties

    public boolean isSkipMissingProperties()